package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import java.util.List;

/**
 * @Description 新活检结果实体
 * @Author lideyin
 * @Date 2019/12/20 17:16
 * @Version 1.0
 */
public class FaceBiopsyBean implements JsonSerializable {

    private static final long serialVersionUID = -622363885150638414L;

    /**
     * 组织机构id
     */
    private Long rootOrgId;
    /**
     * 考试记录id
     */
    private Long examRecordDataId;
    /**
     * 检测结果
     */
    private Boolean result;

    /**
     * 已检测次数
     */
    private int verifiedTimes;
    /**
     * 错误信息
     */
    private String errorMsg;

    /**
     * 活检检测明细
     */
    private List<FaceBiopsyItemBean> faceBiopsyItems;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public int getVerifiedTimes() {
        return verifiedTimes;
    }

    public void setVerifiedTimes(int verifiedTimes) {
        this.verifiedTimes = verifiedTimes;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public List<FaceBiopsyItemBean> getFaceBiopsyItems() {
        return faceBiopsyItems;
    }

    public void setFaceBiopsyItems(List<FaceBiopsyItemBean> faceBiopsyItems) {
        this.faceBiopsyItems = faceBiopsyItems;
    }
}
